#include<bits/stdc++.h>
using namespace std;
int N,K;
vector<int> niz;
void unos()
{
    cin>>N>>K;
    niz.resize(N);
    for(int i=0;i<N;i++)
    {
        cin>>niz[i];
    }
}
void izlaz()
{
    int d;
    for(int i=0;i<N;i++)
    {
        if (niz[i]==K)
        {
            d=i+1;
            break;
        }
    }
    if (d==N)
        d=0;
    cout<<niz[d];
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    unos();
    izlaz();
}